List people
GET
/v1/members
const url = 'https://api.pensievelabs.co/v1/members';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pensievelabs.co/v1/members \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The workspace’s people.
Media typeapplication/json
object
object
required
has_more
required
boolean
next_cursor
required
string | null
data
required
Array<object>
object
id
required
string
object
required
name
required
string | null
email
required
string
role
required
string
state
required
string
created_at
required
string format: date-time
Example
{ "object": "list", "data": [ { "id": "mem_maya", "object": "member", "role": "admin", "state": "active" } ]}default
Section titled “default”Something went wrong; error.type says what.
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
param
The request field the error is about.
string | null
request_id
required
string
Example
{ "error": { "type": "invalid_request" }}